package src.Exceptions;

import java.io.Serializable;
public class AirplaneStorageOverflowException extends RuntimeException implements Serializable{
    public AirplaneStorageOverflowException(Throwable ex){
        super(ex);
    }
    public AirplaneStorageOverflowException(int count){
        super("В наборе превышено допустимое количество локомотивов: " + count);
    }
    public AirplaneStorageOverflowException(String message){
        super(message);
    }
    public AirplaneStorageOverflowException(String message, Throwable ex){
        super(message, ex);
    }
}
